TechDraw CosmeticVertex: Difference between revisions

From FreeCAD Documentation
(update)
(Marked this version for translation)
(One intermediate revision by one other user not shown)
Line 35: Line 35:
<!--T:10-->
<!--T:10-->
# Select a view in the drawing.
# Select a view in the drawing.
# Press the {{Button|[[Image:TechDraw_CosmeticVertex.svg|16px]] [[TechDraw_CosmeticVertex|Add Cosmetic Vertex]]}} button
# Press the {{Button|[[Image:TechDraw_CosmeticVertex.svg|16px]] Add Cosmetic Vertex}} button
# A task dialog will open. It allows to set location of the Cosmetic Vertex either by picking a point or by entering an x,y-offset from the center of the selected view.
# A task dialog will open. It allows to set location of the Cosmetic Vertex either by picking a point or by entering an x,y-offset from the center of the selected view.
# To pick a position, press the button {{Button|Point Picker}}. Click to a position in the view and subsequently press {{Button|OK}} to create the point. To exit the point picking without creating a Cosmetic Vertex, press the {{Button|Escape picking}} button in the dialog.
# To pick a position, press the button {{Button|Point Picker}}. Click to a position in the view and subsequently press {{Button|OK}} to create the point. To exit the point picking without creating a Cosmetic Vertex, press the {{Button|Escape picking}} button in the dialog.

<!--T:22-->
To delete a Cosmetic Vertex, select it and use the toolbar button {{Button|[[Image:TechDraw_CosmeticEraser.svg|16px]] [[TechDraw_CosmeticEraser|Remove Cosmetic Object]]}}.

<!--T:23-->
'''Note:''' You cannot change the location of the Cosmetic Vertex after it has been created. At the moment there is no other way than to delete it and creating a new one.


==Properties== <!--T:19-->
==Properties== <!--T:19-->


<!--T:20-->
<!--T:20-->
Cosmetic Vertices have no properties of their own, as they are not Document Objects. They share color and size settings with regular geometry vertices.
Cosmetic Vertices have no properties of their own, as they are no document objects. They share color and size settings with regular geometry vertices.


==Scripting== <!--T:6-->
==Scripting== <!--T:6-->

Revision as of 21:08, 29 March 2020

TechDraw CosmeticVertex

Menu location
TechDraw → Add Vertices → Add Cosmetic Vertex
Workbenches
TechDraw
Default shortcut
None
Introduced in version
0.19
See also
Add Midpoint Vertices, Add Quadrant Vertices

Description

The Cosmetic Vertex tool adds a Vertex, which is not part of the source geometry, to a View. This Vertex behaves like any other vertex and can be used for dimensioning.

Cosmetic Vertex used to create an otherwise impossible Dimension

Usage

  1. Select a view in the drawing.
  2. Press the Add Cosmetic Vertex button
  3. A task dialog will open. It allows to set location of the Cosmetic Vertex either by picking a point or by entering an x,y-offset from the center of the selected view.
  4. To pick a position, press the button Point Picker. Click to a position in the view and subsequently press OK to create the point. To exit the point picking without creating a Cosmetic Vertex, press the Escape picking button in the dialog.

To delete a Cosmetic Vertex, select it and use the toolbar button Remove Cosmetic Object.

Note: You cannot change the location of the Cosmetic Vertex after it has been created. At the moment there is no other way than to delete it and creating a new one.

Properties

Cosmetic Vertices have no properties of their own, as they are no document objects. They share color and size settings with regular geometry vertices.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

Cosmetic Vertices are available to macros or the Python console.

dvp = App.ActiveDocument.View
org = App.Vector(0.0, 0.0, 0.0)
dvp.makeCosmeticVertex(org);

#lines too!
start = FreeCAD.Vector (1.0, 5.0, 0.0)
end = FreeCAD.Vector(1.0, -5.0, 0.0)
style = 2
weight = 0.75
pyGreen = (0.0, 0.0, 1.0, 0.0)
dvp.makeCosmeticLine(start,end,style, weight, pyGreen)